List Jobs
curl --request GET \
--url https://api.quedup.dev/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quedup.dev/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quedup.dev/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Nightly customer sync",
"url": "https://api.example.com/webhooks/customer-sync",
"method": "POST",
"headers": {
"Authorization": "Bearer sk_test_123",
"Content-Type": "application/json"
},
"body": "{\"source\":\"quedup\",\"action\":\"sync\"}",
"schedule": "0 0 * * *",
"next_run_at": "2026-03-09T00:00:00.000Z",
"status": "active"
}
],
"has_more": false,
"next_cursor": null
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}Jobs
List Jobs
Returns jobs using keyset pagination with an opaque cursor.
GET
/
jobs
List Jobs
Authorizations
Provide your QuedUp API key in the Authorization header as Bearer <api_key>.
Query Parameters
Opaque pagination cursor returned from a previous list response.
Example:
"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMC4wMDBaIiwiaWQiOiI1NTBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDAifQ"
Response
Paginated list of jobs.
Jobs returned for the current page.
Show child attributes
Show child attributes
Example:
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Nightly customer sync",
"url": "https://api.example.com/webhooks/customer-sync",
"method": "POST",
"headers": {
"Authorization": "Bearer sk_test_123",
"Content-Type": "application/json"
},
"body": "{\"source\":\"quedup\",\"action\":\"sync\"}",
"schedule": "0 0 * * *",
"next_run_at": "2026-03-09T00:00:00.000Z",
"status": "active"
}
]
Whether another page of results is available.
Example:
false
Opaque cursor to request the next page of results.
Example:
"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMC4wMDBaIiwiaWQiOiI1NTBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDAifQ"
Was this page helpful?